 * {
            margin: 0;
            padding: 0;
            box-sizing: border-box;
            font-family: 'Segoe UI', 'Roboto', sans-serif;
        }
        @font-face {
            font-family: "UVNChinhLuan_R";
            src: url("../css/UVNChinhLuan_R.ttf") format("truetype");
            font-display: swap;
        }

        body {
            background-color: #0f172a;
            color: #fff;
            line-height: 1.6;
            min-width: 1000px;
            position: relative;
            
        }
        /* #app{
            height: 150rem;
            position: relative;
        } */
        img {
            /* 禁止拖拽 */
            pointer-events: none;
            user-select: none;
            -webkit-user-select: none;
            -moz-user-select: none;
            -ms-user-select: none;
            }
        .bgImg{
            width: 100%;
            min-width: 1200px;
            height: 100%;
            min-height: 150rem;
            position: absolute;
            /* top: 850px; */
            top:0%;
            left: 0;
            right: 0;
            margin-left: auto;
            margin-right: auto;
            z-index: 9;
            object-fit: cover;
        }
        

        /* 大屏：2K、27寸显示器  >=1920 */
        @media (min-width:4000px){
            .bgImg{
                top:30%;
             }
        }

         @media (max-width:3500px){
            .bgImg{
                top:25%;
             }
        }

         @media (max-width:3200px){
            .bgImg{
                top:20%;
             }
        }

         @media (max-width:2800px){
            .bgImg{
                top:12%;
             }
        }
        
         @media (max-width:2200px){
            .bgImg{
                top:10%;
             }
        }
       
        /* 标准1080P：1920 */
        @media (max-width:1920px){
            .bgImg{
                top:5%;
             }
        }
        /* 中等屏幕 笔记本 1366 ~1599 */
        @media (max-width:1599px){
            .bgImg{
                top:2%;
             }
        }


        .jumpBtn{
            width: 220px;
            position: fixed;
            top: 25%;
            right: 20px;
            z-index: 999999999;
            cursor: pointer;
            
        }
        .jumpBox{
            width: 100%;
            position: relative;
        }
        .xfTk{
            width: 100%;
            z-index: -1;
        }
        .dowBtn{
            width: 160px;
            position: absolute;
            top: 170px;
            left: 32px;
        }
        .dowBtn img{
            width: 100%;
        }
        .fbBtn{
            width: 160px;
            position: absolute;
            top: 222px;
            left: 32px;
        }
        .fbBtn img{
            width: 100%;
        }
       .hero-header {
            position: absolute;
            top: 280px;
            left: 39px;
            display: flex;
            gap: 1rem;
        }

        .social-icon {
            height: 38px;
            border-radius: 8px;
            display: flex;
            align-items: center;
            justify-content: center;
            color: white;
            font-weight: bold;
            transition: all 0.3s ease;
            cursor: pointer;
        }

        .social-icon:hover {
            transform: translateY(-3px);
        }
        .social-icon img{
            width: auto;
            height: 100%;
        }

        /* 顶部英雄区 */
        .hero-section {
            width: 100%;
            background:  url('../img/videoBg.jpg') center/cover no-repeat;
            min-height: 1080px;
            height: 100vh;
            position: relative;
            display: flex;
            padding: 2rem 1rem;
            object-fit: cover;
            z-index: 8;
        }
        .logoImg{
            width: 300px;
            position: absolute;
            top: 30px;
            left: 30px;
            z-index: 9;
        }
        .bgVideo{
            width: 100%;
            min-height: 1080px;
            height: 100vh;
            position: absolute;
            top: 0;
            left: 0;
            object-fit: cover;
        }
        video {
        /* 禁止鼠标选中 */
        -webkit-user-select: none;
        -moz-user-select: none;
        -ms-user-select: none;
        user-select: none;
        /* 移动端禁止长按弹出复制菜单 */
        -webkit-touch-callout: none;
        }
        /* 清除选中高亮底色（兜底） */
        video::selection {
        background: transparent;
        }
        
        .hero-box{
            margin-top: 22rem;
            margin-left: auto;
            margin-right: auto;
            display: flex;
            flex-direction: column;
            align-items: center;
            justify-content: center;
            z-index: 8;
        }
        .hero-title {
            width: 600px;
            margin-left: auto;
            margin-right: auto;
            margin-bottom: 0rem;
            text-align: center;
        }
        .yuyueBox{
            width: 560px;
            position: relative;
        }
        .yynum{
            width: 100%;
            height: 100%;
            position: absolute;
            top: 0;
            left: 0;
            line-height: 70px;
            text-align: center;
            font-size: 3.6rem;
            color: #FFE191;
            font-family: "UVNChinhLuan_R", sans-serif;
            font-weight: bold;
        }
        .yuyueBox img{
            width: 100%;
        }
        .store-buttons {
            display: flex;
            gap: 1rem;
            flex-wrap: wrap;
            justify-content: center;
        }

        .store-btn {
            width: 300px;
            border-radius: 8px;
            border: none;
            font-weight: 600;
            display: flex;
            align-items: center;
            gap: 0.5rem;
            cursor: pointer;
            transition: all 0.3s ease;
        }
        .store-btn img{
            width: 100%;
        }

        .store-btn:hover {
            transform: translateY(-3px);
            box-shadow: 0 4px 10px rgba(0,0,0,0.3);
        }

        .store2-buttons {
            display: flex;
            gap: 1rem;
            flex-wrap: wrap;
            justify-content: center;
        }

        .store2-btn {
            width: 350px;
            border-radius: 8px;
            border: none;
            font-weight: 600;
            display: flex;
            align-items: center;
            gap: 0.5rem;
            cursor: pointer;
            transition: all 0.3s ease;
            margin-top: 20px;
        }
        .store2-btn img{
            width: 100%;
        }

        .store2-btn:hover {
            transform: translateY(-3px);
            box-shadow: 0 4px 10px rgba(0,0,0,0.3);
        }

        /* 预注册奖励区 */
        .reward-section {
            height: 800px;
            margin-top: 5%;
            position: relative;
            z-index: 10;
        }

      
        .reward-title-box{
            width: 1096px;
            margin-left: auto;
            margin-right: auto;
            position: relative;
        }
        .yuyueNum{
            width: auto;
            height: 20px;
            text-align: center;
            line-height: 20px;
            position: absolute;
            top: 91px;
            right: 800px;
            font-size: 1.25rem;
            color: #fad87b;
        }
        .reward-title {
            width: 100%;
            margin-left: auto;
            margin-right: auto;
            margin-bottom: 0rem;
            text-align: center;
            display: block;
        }

        .section-title::before,
        .section-title::after {
            content: '✦';
            margin: 0 1rem;
            opacity: 0.7;
        }

        .reward-progress {
            width: 1260px;
            height: 40px;
            margin-left:  auto;
            margin-right: auto;
            /* display: flex;
            justify-content: space-between;
            align-items: center; */
            position: relative;
            margin-bottom: 8rem;
            margin-top: 7rem;
        }

        .progress-line {
            width: 100%;
            height: auto;
            position: absolute;
            top: 50%;
            left: 0;
            right: 0;
            transform: translateY(-50%);
            z-index: 0;
        }

        .progress-dot {
            width: 52px;
            height: 55px;
            background:url('../img/progress-dian.png') no-repeat;
            background-size: cover;
            position: absolute;
            top: -6px;
            z-index: 1;
        }

        .progress-dot.inactive {
            width: 80px;
            height: 82px;
            background:url('../img/progress-active.png') no-repeat;
            background-size: cover;
            position: absolute;
            top: -20px;
            z-index: 1;
        }


        .progress-dot.noactive {
            width: 52px;
            height: 55px;
            background:url('../img/progress-no.png') no-repeat;
            background-size: cover;
            position: absolute;
            top: -6px;
            z-index: 1;
        }

        

        .dot1{
            left:10%;
        }
        .dot2{
            left: 30%;
        }
        .dot3{
            left: 50%;
        }
        .dot4{
            left: 70%;
        }
        .dot5{
            left: 90%;
        }

        /* 预约数值 */
        .dotNum{
            position: absolute;
            top: 55px;
        }
        .dotNum1{
            left: 8.5%;
        }
        .dotNum2{
            left: 28.5%;
        }
        .dotNum3{
            left: 48.5%;
        }
        .dotNum4{
            left: 68.5%;
        }
        .dotNum5{
            left: 89.5%;
        }

        .dBox{
            position: absolute;
            top: 7px;
        }
        .d1{
           left: 0; 
        }
        .d2{
           left: 150px; 
        }
        .d3{
           left: 410px; 
        }
        .d4{
           left: 665px; 
        }
        .d5{
           left: 910px; 
        }

        .d6{
           right: 0px; 
        }


        /* 预约达到的奖品 */
        .gfitBox{
           height: 350px;
            position: absolute;
            top: 110px;

        }
        
        
        .gift1{
            left: 2.5%;
        }

        .gift2{
           
            left: 24%;
        }

        .gift3{
            left: 45%;
        }

        .gift4{
            left: 64.5%;
        }

        .gift5{
            left: 85%;
        }

        .gfitImg{
            width: auto;
            /* height: 241px; */
            /* object-fit: cover; */
            margin-left: auto;
            margin-right: auto;
            display: block;
            position: absolute;
            
        }

        .gift1 .gfitImg{
            width: 233px;
            left: 0;

        }

        .gift2 .gfitImg{
            width: 180px;
            left: 18px;
            top: -2px;
        }

        .gift3 .gfitImg{
            width: 260px;
            left: -40px;
            top: -15px;
        }

        .gift4 .gfitImg{
            width: 195px;
            left: 10px;
            top: 15px;
        }

        .gift5 .gfitImg{
            width: 361px;
            left: -80px;
            top: -40px;
        }

        .gfitImg2{
            width: auto;
            height: 241px;
            /* object-fit: cover; */
            margin-left: auto;
            margin-right: auto;
            display: block;
        }

        .giftTxt{
            height:80px;
            height: auto;
            display: block;
            margin-left: auto;
            margin-right: auto;
            position: absolute;
            top: 260px;
            left: 0;
            right: 0;
        }


        

       

        /* 职业选择区 */
        .roleBox{
            max-width: 1400px;
            margin-top: 4%;
            position: relative;
            z-index: 10;
            position: relative;
            margin-left: auto;
            margin-right: auto;
        }

       

        .role_TitleBox{
            width: 901px;
            margin-left: auto;
            margin-right: auto;
            position: relative;
        }
       
        .role-title {
            width: 100%;
            margin-left: auto;
            margin-right: auto;
            margin-bottom: 0rem;
            text-align: center;
            display: block;
        }


        .roleSwiperBox{
            width: 1100px;
            height: 800px;
            margin-left: auto;
            margin-right: auto;
            position: relative;
            margin-top: 3%;
        }
        .role_swiper{
            width: 100%;
            height: 100%;
            margin-left: 16%;
            margin-right: auto;
        }
        .role_swiper .swiper-slide{
            position: relative;
        }
        .role_swiper .roleImg{
            height: 700px;
            width: auto;
            object-fit:  cover;
            z-index: 10;
        }
        .gs{
            width: 700px;
            position: absolute;
            top: 50px;
            left: 20px;
            z-index: -1;
            animation: spin 50s linear infinite;
        }

        @keyframes spin {
            0% { transform: rotate(0deg); }
            100% { transform: rotate(360deg); }
        }
        


           .roleBox .swiper-button-next::after,
            .roleBox  .swiper-button-prev::after {
            display: none;
            }
            /* 左箭头容器 */
           .roleBox  .swiper-button-prev {
                width: 44px;
                height: 44px;
                background: url("../img/up.png") no-repeat center; /* 你的左箭头图片地址 */
                background-size: contain;
                position: absolute;
                top: 20%;
                left: 15%;
            }
            /* 右箭头容器 */
           .roleBox  .swiper-button-next {
                width: 44px;
                height: 44px;
                background: url("../img/down.png") no-repeat center; /* 你的右箭头图片地址 */
                background-size: contain;
                position: absolute;
                top: 87%;
                left: 15%;
            }

        .role_tab{ position:absolute; width:200px;height: 550px;  top:25%; left: 9%; z-index:10;text-align: center;}
        .role_tab li{ display: block; position:relative; width:100%;min-height: 95px;margin:0 1%; cursor:pointer; z-index:2;}
        .role_tab li.on{ cursor:default; z-index:1;}
        .role_tab li img{ display:block; width: 100%;transition: all 0.5s;position: relative;}
        .role_tab li img:nth-child(2){
            display: none;
        }
        .role_tab li.on img:nth-child(1){
            display: none;
        }
        .role_tab li.on img:nth-child(2){
            display: block;
            animation: scale_ani 3s linear infinite;
        }


        /* 游戏画面区 */
       
        .gameBox{
            max-width: 1400px;
            margin-top: 4%;
            position: relative;
            z-index: 10;
            position: relative;
            margin-left: auto;
            margin-right: auto;
        }

       

        .game_TitleBox{
            width: 1059px;
            margin-left: auto;
            margin-right: auto;
            position: relative;
        }
       
        .game-title {
            width: 100%;
            margin-left: auto;
            margin-right: auto;
            margin-bottom: 0rem;
            text-align: center;
            display: block;
        }

        .gameSwiperBox{
            width: 1200px;
            height: 620px;
            margin-left: auto;
            margin-right: auto;
            position: relative;
            margin-top: 5%;
        }
        .game_swiper{
            width: 100%;
            height: 100%;
            margin-right: auto;
        }
        .game_swiper .swiper-slide{
            position: relative;
            width:950px;
            height: 500px;
        }
        .game_swiper .gameImg{
            height: auto;
            width: 100%;
            object-fit:  cover;
            position: relative;
            
        }
        .game_swiper .gameImgZZ{
            content: '';
            width: 100%;
            height: 100%;
            position: absolute;
            top: 15px;
            left: -5px;
            background: rgba(0,0,0,0.5);
            z-index: 99;
        }

        .game_swiper .swiper-slide-active .gameImgZZ{
            display: none;
        }
        
        .game_swiper-button-prev::after,
        .game_swiper-button-next::after {
            display: none;
            }
            /* 左箭头容器 */
           .game_swiper-button-prev {
                width: 135px;
                height: 410px;
                background: rgba(0,0,0,0); 
                background-size: contain;
                position: absolute;
                top: 14%;
                left: 0%;
                z-index: 10;
            }
            .prevIcon{
                 width: 60px;
                height: 60px;
                position: absolute;
                top: 45%;
                left: 45%;
            }

           
          
            /* 右箭头容器 */
           .game_swiper-button-next {
                width: 135px;
                height: 410px;
                background: rgba(0,0,0,0); 
                background-size: contain;
                position: absolute;
                top: 14%;
                right: 0%;
                z-index: 10;
            }

            .nextIcon{
                width: 60px;
                height: 60px;
                position: absolute;
                top: 45%;
                right: 45%;
            }
          

            .game_swiper-pagination{
                color: #4c97e2;
                font-size: 40px;
                position: absolute;
                bottom: 0px!important;
                left: 0;
                right: 0;
                margin-left: auto;
                margin-right: auto;
            }
            .game_swiper .swiper-pagination-bullet {
                width: 30px!important;
                height: 30px!important;
                background: url(../img/swiperPagination.png) no-repeat !important;
                background-size: 100%!important;
                cursor: pointer !important;
                margin-left: 30px !important;
            }
            
            .game_swiper .swiper-pagination-bullet-active {
                width: 30px!important;
                height: 30px!important;
                background: url(../img/swiperPaginationActive.png) no-repeat !important;
                background-size: 100%!important;
            }


        /* 页脚 */
        footer {
            
            text-align: center;
            z-index: 10;
            color: #fff;
            position: absolute;
            bottom: -5%;
            left: 0;
            right: 0;

        }

        .footer-links {
            display: flex;
            justify-content: center;
            gap: 2rem;
            margin-bottom: 0.2rem;
            flex-wrap: wrap;
            line-height: 30px;
        }

        .footer-links a {
            color: #c0c0c0;
            text-decoration: none;
            font-size: 0.9rem;
        }

        .footer-links a:hover {
            color: #ffd700;
        }

        .copyright {
            color: #c0c0c0;
            font-size: 0.8rem;
        }
        .comLogo{
            width: 20px;
             vertical-align: middle;
        }

        /* 响应式适配 */
        @media (max-width: 992px) {
            .class-container {
                grid-template-columns: 1fr;
                text-align: center;
            }

            .class-list {
                flex-direction: row;
                justify-content: center;
                flex-wrap: wrap;
            }

            .class-info {
                align-items: center;
            }
        }

        @media (max-width: 768px) {
            .hero-section {
                min-height: 400px;
            }

            .reward-items {
                justify-content: center;
            }

            .reward-item {
                max-width: 120px;
            }

            .reward-icon {
                width: 80px;
                height: 80px;
            }
        }